/* Various configuration options

   OperStats - Copyright (c) 2000-2001 Darcy Grexton
   Contact: cygnus@uniserve.ca, skold @ HabberNet, ICQ #6285178

   This program is free but copyrighted software; see the file COPYING
   for details.
 */

/* Change these to suit your liking. */
#define CONFIGFILE	"operstats.conf"	/* Our conf file	*/
#define PIDFILE		"operstats.pid"		/* Our PID file		*/
#define LOGFILE		"operstats.log"		/* Our log file		*/
#define MOTDFILE	"operstats.motd"	/* Our MOTD file	*/
#define TLDFILE		"operstats.tld"		/* Our TLD listing	*/
#define ZONEFILE	"operstats.zone"	/* Our TimeZone listing	*/
#define STATSERV_DB	"statserv.db"		/* StatServ DB		*/
#define OPERSERV_DB	"operserv.db"		/* OperServ DB		*/
#define CHANNELS_IN	"os-channels.html"	/* channels.html Source */
#define CHANNELS_OUT	"channels.html"		/* channels.html	*/
#define TLDSTATS_IN	"os-tldstats.html"	/* tldstats.html Source */
#define TLDSTATS_OUT	"tldstats.html"		/* tldstats.html	*/
#define STATSJS		"stats.js"		/* NetStats file	*/

/* Nicknames displayed in help files - If you rename your clients,
   change these so the help files are displayed accordingly.
 */
#define OS		"OperServ"		/* OperServ's nick	*/
#define SS		"StatServ"		/* StatServ's nick	*/

/* These values should be sufficient on any supported IRCDs. */
#define NICKLEN		32	/* Maximum length of a nickname		*/
#define CHANNELLEN	64	/* Maximum length of a channel name	*/
#define PASSWDLEN	32	/* Maximum length of a password		*/
#define USERLEN		10	/* Maximum length of a username		*/
#define HOSTLEN		63	/* Maximum length of a hostname		*/
#define REALLEN		50	/* Maximum length of a realname		*/

/* Leave these alone too. */
#define BUFSIZE		512	/* Maximum size of a buffer		*/
#define NET_BUFSIZE	65536
#define READ_TIMEOUT	15

/* Do you want OperStats to generate a core file if it crashes?
   I'd suggest you leave this option on. If you experience crashes,
   the core files generated can help me track down the problem and
   fix it.
 */
#define DUMP_CORE

/* Do you want to enable the RAW and INJECT functions? These functions
   are entirely unsupported. If you crash OperStats or your IRCd while
   using them (and it's entirely possible and quite easy to do both),
   tough luck. If you don't know how to do anything with them, tough luck.
   Do not ask me for a list of RAW and INJECT commands. If you enable
   these, you're on your own. They're not toys. :P
 */
#undef RAWINJECT
