/* StatServ Help Texts

   OperStats - Copyright (c) 2000-2001 Darcy Grexton
   Contact: cygnus@uniserve.ca, skold @ HabberNet, ICQ #6285178

   This program is free but copyrighted software; see the file COPYING
   for details.
 */

static const char *ss_help_start[] =
{
    "*** \2" SS " Help\2 ***",
    " ",
    NULL
};

static const char *ss_help_end[] =
{  
    " ",
    "*** \2End of Help\2 ***",
    NULL
};

static const char *ss_base_help[] =
{
    "\2" SS "\2 monitors the network in various ways, and",
    "provides statistics about the network.",
    " ",
    "For more information on a specific topic,",
    "\2/MSG " SS " HELP Topic\2",
    " ",
    "\2" SS "\2 contains information on the following topics:",
    " ",
    "\2STATS\2           Show statistics on the network",
    NULL
};

static const char *ss_help_tld[] =
{
    "\2TLD\2             Show the country associated with a TLD",
    "\2TLDMAP\2          Show per-TLD user counts",
    "\2TLDSTATS\2        Show per-TLD daily stats",
    NULL
};

static const char *ss_help_zone[] =
{
    "\2ZONE\2            Perform a TimeZone lookup",
    NULL
};

static const char *ss_oper_help[] =
{ 
    "\2SERVERS\2         Show a listing of servers and versions",
    "\2MAP\2             Show a map of the network",
    NULL
};

static const char *ss_sra_help[] =
{
    "\2FLUSH\2           Flush a server from memory",
    "\2RESET\2           Reset one or all server's statistics",
    "\2SENDPINGS\2       Force an update of " SS "'s lag times",
    NULL
};

static const char *stats_help[] =
{
    "Syntax: \2STATS [+CMNUD]\2",
    " ",
    "Shows various information about the network, such as how many",
    "users servers and channels there are, how fast the network is",
    "running, and max user, server and channel counts. \2STATS\2 also",
    "shows daily channel, user and server records, and when they were",
    "set during the day. These stats are reset at midnight, GMT.",
    " ",
    "If any of the tokens CMNUD are given, the STATS output is filtered",
    "to match these tokens. The token string must be preceded by a +.",
    "Each token corresponds to a particular part of the full STATS output:",
    "     C - Show Current Stats (Users, Channels, Servers, Time)",
    "     M - Show Max Stats (Users, Channels, Servers, Hits, and Times)",
    "     N - Show NetSpeed Stat",
    "     U - Show Uptime Stat",
    "     D - Show Daily Stats (Hits, Users, Channels, Servers)",
    " ",
    "Examples: \2STATS\2",
    "          \2STATS +CMNUD\2",
    NULL
};

static const char *stats_help_oper[] =
{ 
    "Syntax: \2STATS [+CMNUD|Server]\2",
    " ",
    "Shows various information about the network, such as how many",
    "users servers and channels there are, how fast the network is",
    "running, and max user, server and channel counts. \2STATS\2 also",
    "shows daily channel, user and server records, and when they were",
    "set during the day. These stats are reset at midnight, GMT.",
    " ",
    "If any of the tokens CMNUD are given, the STATS output is filtered",
    "to match these tokens. The token string must be preceded by a +.",
    "Each token corresponds to a particular part of the full STATS output:",
    "     C - Show Current Stats (Users, Channels, Servers, Time)",
    "     M - Show Max Stats (Users, Channels, Servers, Hits, and Times)",
    "     N - Show NetSpeed Stat",
    "     U - Show Uptime Stat",
    "     D - Show Daily Stats (Hits, Users, Channels, Servers)",
    " ",
    "If you provide a server name, statistics for that server will be",
    "shown.",
    " ",
    "Examples: \2STATS\2",
    "          \2STATS +C",
    "          \2STATS server.*\2",
    NULL
};

static const char *tld_help[] =
{ 
    "Syntax: \2TLD TopLevelDomain\2",
    " ",
    "Show which country or organization a given top-level domain",
    "represents. \2" SS "\2 will match the TLD with wildcards, so",
    "providing a domain may give a false match.",
    " ",
    "Example: \2TLD net\2",
    NULL
};

static const char *tldmap_help[] =
{
    "Syntax: \2TLDMAP [TLD]\2",
    " ",
    "Shows you the user counts per top-level-domain. If you specify",
    "a TLD, only that TLD will be shown.",
    " ",
    "Examples: \2TLDMAP\2",
    "          \2TLDMAP net\2",
    NULL
};

static const char *tldstats_help[] =
{
    "Syntax: \2TLDSTATS [TLD]\2",
    " ",
    "Shows you the daily hit counts per top-level-domain. If you",
    "specify a TLD, only that TLD will be shown.",
    " ",
    "Examples: \2TLDSTATS\2",
    "          \2TLDSTATS net\2",
    NULL
};

static const char *zone_help[] =
{
    "Syntax: \2ZONE TimeZone\2",
    " ",
    "Performs a TimeZone lookup. If the TimeZone is found, the",
    "TimeZone name, GMT Offset, and current time will be displayed.",
    " ",
    "Note that several TimeZones share the same abbreviation, so you",
    "may get more than one result.",
    " ",
    "Also remember Daylight Savings Time; PDT and PST are NOT the",
    "same thing! Depending on the time of year, either one may be",
    "correct.",
    " ",
    "Example: \2ZONE GMT\2",
    NULL
};

static const char *servers_help[] =
{
    "Syntax: \2SERVERS\2",
    " ",
    "Shows a list of the servers currently on the network, what",
    "version of IRCd they are running, and how they are configured.",
    " ",
    "Example: \2SERVERS\2",
    NULL
};

static const char *map_help[] =
{
    "Syntax: \2MAP\2",
    " ",
    "Shows a map of how the network is currently structured. A breakdown",
    "of the users-per-server and the server's current ping time are also",
    "included.",
    " ",
    "Example: \2MAP\2",
    NULL
};

static const char *flush_help[] =
{ 
    "Syntax: \2FLUSH Server\2",
    " ",
    "Removes a server from memory. This should only be used when",
    "the server has permanently left the network. The server will",
    "be re-entered into memory if it is seen again. If you want to",
    "reset a server's statistics, see the \2RESET\2 command.",
    " ",
    "Example: \2FLUSH server.network.org\2",
    NULL
};

static const char *reset_help[] =
{ 
    "Syntax: \2RESET Server|ALL\2",
    " ",
    "Resets the given server's statistics. This will not remove the",
    "server from memory, only reset its stats. If you want to remove",
    "a server (ie, in the event of a delink), see the \2FLUSH\2 command.",
    " ",
    "If you give \2ALL\2 in place of a server name, then statistics for",
    "all servers will be reset.",
    " ",
    "Examples: \2RESET server.network.org\2",
    "          \2RESET ALL\2",
    NULL
};

static const char *sendpings_help[] =
{
    "Syntax: \2SENDPINGS\2",
    " ",
    "Forces " SS " to update it's lag times for MAP. All",
    "servers will be pinged simultaneously, and this may cause a",
    "small lag spike. The PING times are updated automatically as",
    "defined in " CONFIGFILE ".",
    " ",
    "Example: \2SENDPINGS\2",
    NULL
};
